@import "tailwindcss/base";
@import "tailwindcss/components";
@import "tailwindcss/utilities";

@import "~@/assets/css/components/index.css";
@import "~@/assets/css/transitions.css";

@layer base {

    @font-face {
        font-family: 'Greycliff CF';
        src: url('~@/assets/fonts/Greycliff/GreycliffCF-Bold.eot');
        src: local('Greycliff CF Bold'), local('GreycliffCF-Bold'),
        url('~@/assets/fonts/Greycliff/GreycliffCF-Bold.eot?#iefix') format('embedded-opentype'),
        url('~@/assets/fonts/Greycliff/GreycliffCF-Bold.woff2') format('woff2'),
        url('~@/assets/fonts/Greycliff/GreycliffCF-Bold.woff') format('woff'),
        url('~@/assets/fonts/Greycliff/GreycliffCF-Bold.ttf') format('truetype');
        font-weight: bold;
        font-style: normal;
    }

    @font-face {
        font-family: 'Greycliff CF Demi';
        src: url('~@/assets/fonts/Greycliff/GreycliffCF-DemiBold.eot');
        src: local('Greycliff CF Demi Bold'), local('GreycliffCF-DemiBold'),
        url('~@/assets/fonts/Greycliff/GreycliffCF-DemiBold.eot?#iefix') format('embedded-opentype'),
        url('~@/assets/fonts/Greycliff/GreycliffCF-DemiBold.woff2') format('woff2'),
        url('~@/assets/fonts/Greycliff/GreycliffCF-DemiBold.woff') format('woff'),
        url('~@/assets/fonts/Greycliff/GreycliffCF-DemiBold.ttf') format('truetype');
        font-weight: 600;
        font-style: normal;
    }

    @font-face {
        font-family: 'Greycliff CF';
        src: url('~@/assets/fonts/Greycliff/GreycliffCF-Medium.eot');
        src: local('Greycliff CF Medium'), local('GreycliffCF-Medium'),
        url('~@/assets/fonts/Greycliff/GreycliffCF-Medium.eot?#iefix') format('embedded-opentype'),
        url('~@/assets/fonts/Greycliff/GreycliffCF-Medium.woff2') format('woff2'),
        url('~@/assets/fonts/Greycliff/GreycliffCF-Medium.woff') format('woff'),
        url('~@/assets/fonts/Greycliff/GreycliffCF-Medium.ttf') format('truetype');
        font-weight: 500;
        font-style: normal;
    }

    @font-face {
        font-family: 'Greycliff CF';
        src: url('~@/assets/fonts/Greycliff/GreycliffCF-Regular.eot');
        src: local('Greycliff CF'), local('GreycliffCF-Regular'),
        url('~@/assets/fonts/Greycliff/GreycliffCF-Regular.eot?#iefix') format('embedded-opentype'),
        url('~@/assets/fonts/Greycliff/GreycliffCF-Regular.woff2') format('woff2'),
        url('~@/assets/fonts/Greycliff/GreycliffCF-Regular.woff') format('woff'),
        url('~@/assets/fonts/Greycliff/GreycliffCF-Regular.ttf') format('truetype');
        font-weight: normal;
        font-style: normal;
    }

    @font-face {
        font-family: 'Quincy CF';
        src: url('~@/assets/fonts/Quincy/QuincyCF-Bold-webfont.ttf') format('truetype');
        font-weight: bold;
        font-style: normal;
    }

    h1, .h1 {
        @apply text-xl font-semibold
    }
}

@layer components {
    .quiz-choices {
        @apply grid gap-y-3 mb-7
    }

    .input-error-msg {
        @apply mt-2 text-xs text-red-light
    }

    .ta-input {
        @apply rounded-lg p-5 bg-white border border-grey-darker resize-none w-full outline-none focus:border-black h-44;
    }

    .uppercase-title {
        @apply text-sm uppercase tracking-12px;
    }

    .bg-defaults {
        @apply bg-contain bg-center bg-no-repeat;
    }

    input {
        @apply outline-none;
    }

    ul.styled-list {
        @apply text-sm text-grey-medium;
        list-style: none; /* Remove default bullets */
        margin-inline-start: 1rem;
    }

    ul.styled-list li::before {
        @apply text-grey-medium font-bold inline-block w-4 -ml-4;
        content: "\2022";
    }
}
